Commit d5412ebc authored by Antonio Rojas's avatar Antonio Rojas
Browse files

Don't search for and link to libcln when using libqalculate>=2.0

Step doesn't use any cln code directly, only via libqalculate. In version 2.0, libqalculate dropped cln in favor of gmp, so the cln dependency becomes unnecessary.

Differential Revision: https://phabricator.kde.org/D7588
parent a02cfef3
......@@ -30,9 +30,10 @@ else(QALCULATE_CFLAGS AND QALCULATE_LIBRARIES)
pkg_check_modules(_pc_QALCULATE libqalculate)
endif(QALCULATE_MIN_VERSION)
pkg_check_modules(_pc_CLN cln)
if(_pc_QALCULATE_FOUND)
if(${_pc_QALCULATE_VERSION} VERSION_LESS 2.0.0)
pkg_check_modules(_pc_CLN cln)
endif()
set(QALCULATE_CFLAGS ${_pc_QALCULATE_CFLAGS})
endif(_pc_QALCULATE_FOUND)
......@@ -52,13 +53,17 @@ else(QALCULATE_CFLAGS AND QALCULATE_LIBRARIES)
${INCLUDE_INSTALL_DIR}
)
find_library(CLN_LIBRARIES
NAMES
cln
PATHS
${_pc_CLN_LIBRARY_DIRS}
${LIB_INSTALL_DIR}
)
if(_pc_QALCULATE_FOUND)
if(${_pc_QALCULATE_VERSION} VERSION_LESS 2.0.0)
find_library(CLN_LIBRARIES
NAMES
cln
PATHS
${_pc_CLN_LIBRARY_DIRS}
${LIB_INSTALL_DIR}
)
endif()
endif()
else(NOT WIN32)
# XXX: currently no libqalculate on windows
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment